from typing import Type
from .entrypoint import BaseEntrypoint
from ..configs.base_config import PhaseType
from importlib import import_module
import sys


def get_entry(phase_type: PhaseType):
    EntryPoint: Type[BaseEntrypoint] = import_module(f'torchlap.experiments.{sys.argv[1]}').EntryPoint
    return EntryPoint(phase_type)
